<?php
/* Full-Text RSS options */

// Enable/disable service
// ----------------------
// Set this to false if you want to disable the service.
// If set to false, no feed is produced and users will 
// be told that the service is disabled.
$options->enabled = true;

// Specify API keys
// ----------------
// The service can be accessed in two ways: free and key holder access.
// Users can be given API keys which they can use to identify themselves
// to the service to bypass some of the restrictions imposed in free mode.
// The options further down in this file will allow you to specify
// how the service should behave in each mode.
// If you want everyone to access the service in the same way, you can
// leave the array below empty and ignore the API key options further down.
$options->api_keys = array();

// Max entries (without API key)
// -----------------------------
// The number of feed items to process when no API key is supplied.
$options->max_entries = 4;

// Max entries (with API key)
// --------------------------
// The number of feed items to process when a valid API key is supplied.
$options->max_entries_with_key = 6;

// Message to prepend (without API key)
// -----------------------------------
// HTML to insert at the beginning of each feed item when no API key is supplied.
$options->message_to_prepend = '';

// Message to prepend (with API key)
// --------------------------------
// HTML to insert at the beginning of each feed item when a valid API key is supplied.
$options->message_to_prepend_with_key = '';

// Message to append (without API key)
// -----------------------------------
// HTML to insert at the end of each feed item when no API key is supplied.
$options->message_to_append = '';

// Message to append (with API key)
// --------------------------------
// HTML to insert at the end of each feed item when a valid API key is supplied.
$options->message_to_append_with_key = '';

// URLs to block
// -------------
// List of URLs (or parts of a URL) which the service should not accept
$options->blocked_urls = array();

// Alternative Full-Text RSS service URL
// -------------------------------------
// This option is to offer very simple load distribution for the service.
// If you've set up another instance of the Full-Text RSS service on a different
// server, you can enter its full URL here. 
// E.g. 'http://my-other-server.org/full-text-rss/makefulltextfeed.php'
// If you specify a URL here, 50% of the requests to makefulltextfeed.php on
// this server will be redirected to the URL specified here.
$options->alternative_url = '';

// Error message when content extraction fails (without API key)
// -------------------------------------
$options->error_message = '[unable to retrieve full-text content]';

// Error message when content extraction fails (with API key)
// -------------------------------------
$options->error_message_with_key = '[unable to retrieve full-text content]';

?>